> ## Documentation Index
> Fetch the complete documentation index at: https://api-reference.hyperswitch.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Data from Locker

> Delete sensitive data from the locker



## OpenAPI

````yaml locker-v2 post /api/v2/vault/delete
openapi: 3.0.2
info:
  title: Tartarus - OpenAPI 3.0
  description: >-
    This the the open API 3.0 specification for the card locker.

    This is used by the [hyperswitch](https://github.com/juspay/hyperswitch) for
    storing card information securely.
  version: '1.0'
servers: []
security: []
tags:
  - name: Key Custodian
    description: API used to initialize the locker after deployment.
  - name: Data
    description: CRUD APIs to for working with data to be stored in the locker
paths:
  /api/v2/vault/delete:
    post:
      tags:
        - Data
      summary: Delete Data from Locker
      description: Delete sensitive data from the locker
      parameters:
        - in: header
          name: x-tenant-id
          schema:
            type: string
      requestBody:
        description: The request body might be JWE + JWS encrypted when using middleware
        content:
          application/json:
            schema:
              oneOf:
                - $ref: '#/components/schemas/DeleteDataRequest'
                - $ref: '#/components/schemas/JWEReq'
        required: true
      responses:
        '200':
          description: Delete Data Response
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/DeleteDataResponse'
                  - $ref: '#/components/schemas/JWERes'
components:
  schemas:
    DeleteDataRequest:
      type: object
      properties:
        entity_id:
          type: string
          description: Unique identifier for the entity
        vault_id:
          type: string
          description: Unique identifier for the vault
    JWEReq:
      title: JWEReq
      type: object
      properties:
        header:
          type: string
        iv:
          type: string
        encrypted_payload:
          type: string
        tag:
          type: string
        encrypted_key:
          type: string
    DeleteDataResponse:
      type: object
      properties:
        entity_id:
          type: string
          description: Unique identifier for the entity
        vault_id:
          type: string
          description: Unique identifier for the vault
    JWERes:
      title: JWERes
      type: object
      description: JWE encrypted response equivalent
      properties:
        header:
          type: string
        iv:
          type: string
        encrypted_payload:
          type: string
        tag:
          type: string
        encrypted_key:
          type: string

````